org.apache.lucene.util

## Class AttributeSource.AttributeFactory

- java.lang.Object
- - org.apache.lucene.util.AttributeSource.AttributeFactory

Direct Known Subclasses:
  Token.TokenAttributeFactory

Enclosing class:
  AttributeSource

    public abstract static class AttributeSource.AttributeFactory
    extends Object

An AttributeFactory creates instances of `AttributeImpl`s.

### Field Summary

Fields
`static AttributeSource.AttributeFactory` `DEFAULT_ATTRIBUTE_FACTORY` This is the default factory that creates `AttributeImpl`s using the class name of the supplied `Attribute` interface class by appending `Impl` to it.

### Constructor Summary

Constructors
Constructor and Description
`AttributeSource.AttributeFactory()`

### Method Summary

Methods
`abstract AttributeImpl` `createAttributeInstance(Class<? extends Attribute> attClass)` returns an `AttributeImpl` for the supplied `Attribute` interface class.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### DEFAULT_ATTRIBUTE_FACTORY

    public static final AttributeSource.AttributeFactory DEFAULT_ATTRIBUTE_FACTORY

This is the default factory that creates `AttributeImpl`s using the class name of the supplied `Attribute` interface class by appending `Impl` to it.

### Constructor Detail

#### AttributeSource.AttributeFactory

    public AttributeSource.AttributeFactory()

### Method Detail

#### createAttributeInstance

    public abstract AttributeImpl createAttributeInstance(Class<? extends Attribute> attClass)

returns an `AttributeImpl` for the supplied `Attribute` interface class.